<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <title>swag</title>
  <link rel="stylesheet" th:href="@{/webjars/bootstrap/css/bootstrap.min.css}"/>
  <link rel="stylesheet" th:href="@{/css/style.css}">

  <script defer th:src="@{/webjars/bootstrap/js/bootstrap.bundle.min.js}">
  </script>
</head>
<body>
<div class="container shadow-lg p-3 mb-5 bg-white rounded">
  <div th:insert="~{fragments/fragments::navbar(2)}">No navbar</div>
  <table class="table table-striped table-hover ">
    <thead class="thead-dark " >
    <tr>
      <th th:utext="#{bankcard.name}">Name</th>
      <th th:utext="#{bankcard.ibanNumber}">IbanNumber</th>
    </tr>
    </thead>
    <tbody>
    <tr>

    <tr th:each="bank: ${bankcards}">
      <td th:text="${bank.getName()}"></td>
      <td th:text="${bank.getIbanNumber()}"></td>
      <td> <a class="btn btn-light" th:href="@{bankCardItem(id=${bank.getId()}) }">Show</a></td>
    </tr>
    </tbody>
  </table>

  <a class="btn btn-primary" th:href="@{/json}">Convert to Json</a>
  <div th:if="${message}" th:text="${message}" th:class="${'alert ' + alertClass}"/>

  <div th:insert="~{fragments/fragments::footer}">No footer</div>
</div>
</body>
</html>